org.omg.IOP

## Class IOR

- java.lang.Object
- - org.omg.IOP.IOR

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class IOR
    extends Object
    implements IDLEntity

org/omg/IOP/IOR.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-FtOhKS/openjdk-8-8u452-ga~us1/src/corba/src/share/classes/org/omg/PortableInterceptor/IOP.idl Monday, April 21, 2025 6:17:32 AM UTC

### Field Summary

Fields
`TaggedProfile[]` `profiles` An array of tagged profiles associated with this object reference.
`String` `type_id` The type id, represented as a String.

### Constructor Summary

Constructors
Constructor and Description
`IOR()`
`IOR(String _type_id, TaggedProfile[] _profiles)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type_id

    public String type_id

The type id, represented as a String.

#### profiles

    public TaggedProfile[] profiles

An array of tagged profiles associated with this object reference.

### Constructor Detail

#### IOR

    public IOR()

#### IOR

    public IOR(String _type_id,
               TaggedProfile[] _profiles)